Skip to content

Instantly share code, notes, and snippets.

Avatar

jakub-g jakub-g

View GitHub Profile
View C:\Program Files (x86)\Git\ssl\openssl.cnf
# -------------- In my case it was this location, change accordingly -----------
# I only show here the part of that file I changed
## [ v3_req ]
##
### Extensions to add to a certificate request
##
##basicConstraints = CA:FALSE
##keyUsage = nonRepudiation, digitalSignature, keyEncipherment
[ v3_req ]
@jakub-g
jakub-g / WarningBeforeCertExpires.js
Created Mar 18, 2017 — forked from ericlaw1979/WarningBeforeCertExpires.js
This FiddlerScript highlights in red Sessions secured by certificates that will expire in the next 30 days
View WarningBeforeCertExpires.js
// Inside Rules > Customize Rules > OnBoot, add the following line:
FiddlerApplication.add_OnValidateServerCertificate(onEvalCert);
// Just before that function, add the following new function:
static function onEvalCert(o: Object, e: ValidateServerCertificateEventArgs)
{
try
{
var X2: System.Security.Cryptography.X509Certificates.X509Certificate2 =
new System.Security.Cryptography.X509Certificates.X509Certificate2(e.ServerCertificate);
You can’t perform that action at this time.